## org.eclipse.emf.common.notify
Interface Adapter

All Known Subinterfaces:
  Adapter.Internal

All Known Implementing Classes:
  AbstractGeneratorAdapter, AdapterFactoryEditingDomain.EditingDomainProvider, AdapterImpl, ChangeDescriptionItemProvider, ChangeRecorder, ComplexTypeConverterItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, EContentAdapter, Ecore2EcoreMappingRootItemProvider, ECrossReferenceAdapter, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ESuperAdapter, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseGeneratorAdapter, GenBaseItemProvider, GenClassGeneratorAdapter, GenClassItemProvider, GenDataTypeItemProvider, GenEnumGeneratorAdapter, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelGeneratorAdapter, GenModelItemProvider, GenOperationItemProvider, GenPackageGeneratorAdapter, GenPackageItemProvider, ItemProviderAdapter, ListChangeItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingItemProviderAdapter, MappingRootImpl.MappedObjectStateAdapter, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceImpl.ModificationTrackingAdapter, ResourceItemProvider, ResourceSetItemProvider, SingletonAdapterImpl, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface Adapter

A receiver of notifications. An adapter is typically associated with a `Notifier` via an `AdapterFactory`.

Nested Class Summary
`static interface` `Adapter.Internal` An internal interface implemented by adapters.

Method Summary
`Notifier` `getTarget()` Returns the target from which the adapter receives notification.
`boolean` `isAdapterForType(java.lang.Object type)` Returns whether the adapter is of the given type.
`void` `notifyChanged(Notification notification)` Notifies that a change to some feature has occurred.
`void` `setTarget(Notifier newTarget)` Sets the target from which the adapter will receive notification.

Method Detail

### notifyChanged

    void notifyChanged(Notification notification)

  Notifies that a change to some feature has occurred.

  Parameters:
    `notification` - a description of the change.

### getTarget

    Notifier getTarget()

  Returns the target from which the adapter receives notification. In general, an adapter may be shared by more than one notifier.

  Returns:
    the target notifier.
  See Also:
    `setTarget(org.eclipse.emf.common.notify.Notifier)`

### setTarget

    void setTarget(Notifier newTarget)

  Sets the target from which the adapter will receive notification. This method is only to be called by a notifier when this adapter is added to or removed from its adapter list. In general, an adapter may be shared by more than one notifier.

  Parameters:
    `newTarget` - the new notifier.
  See Also:
    `getTarget()`

### isAdapterForType

    boolean isAdapterForType(java.lang.Object type)

  Returns whether the adapter is of the given type. In general, an adapter may be the adapter for many types.

  Parameters:
    `type` - the type.
  Returns:
    whether the adapter is of the given type.
  See Also:
    `AdapterFactory.isFactoryForType(java.lang.Object)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.